package com.engine.salary.mapper.push;

import com.engine.salary.entity.push.po.PushSettingPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface PushSettingMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<PushSettingPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<PushSettingPO> listSome(PushSettingPO pushSetting);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	PushSettingPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param pushSetting 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(PushSettingPO pushSetting);
    

	/**
     * 修改，修改所有字段
     *
     * @param pushSetting 修改的记录
     * @return 返回影响行数
     */
	int update(PushSettingPO pushSetting);
	
	/**
     * 修改，忽略null字段
     *
     * @param pushSetting 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(PushSettingPO pushSetting);
	
	/**
     * 删除记录
     *
     * @param pushSetting 待删除的记录
     * @return 返回影响行数
     */
	int delete(PushSettingPO pushSetting);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);
	
}